Page MenuHomePhabricator

Simple Query Language against both Titan and SQL
Closed, DeclinedPublic

Description

As an intermediate step lets build a super duper simple query language against both Wikidata's SQL and Titan's Gremlin interfaces. Daniel will propose a syntax and implement it against SQL and the wikidata-gremlin team will implement it against Titan. I'm not being prescriptive on how - Gremlin plugin, MediaWiki plugin, third service, quantum computer, mechanical computer, whatever.

Event Timeline

Manybubbles raised the priority of this task from to Needs Triage.
Manybubbles updated the task description. (Show Details)
Manybubbles added a subscriber: Manybubbles.
GWicke added a subscriber: GWicke.EditedJan 12 2015, 6:50 PM

I would actually argue for starting with a simple subset of whatever we plan to use in the longer term (MQL?), and then expand from there. Lets not expose <n> different interfaces for the same thing just because we can. Doing so would have

a) a cost on our development due to the extra effort to build and maintain those interfaces, and
b) a cost on users by confusing them with several options.

Lets perhaps resolve T85181 before we go ahead with this?

Lydia_Pintscher triaged this task as Medium priority.May 15 2015, 1:33 PM
Lydia_Pintscher set Security to None.
Smalyshev changed the task status from Open to Stalled.Jun 25 2015, 6:24 AM
Smalyshev added a subscriber: Smalyshev.
Restricted Application added a project: Discovery. · View Herald TranscriptJun 25 2015, 6:24 AM

I think this can be closed.

Smalyshev closed this task as Declined.Aug 17 2015, 5:06 PM
Smalyshev claimed this task.